Module
Contents
Index 🔎︎

# Atn Function

Trigonometric function that returns the arc tangent of a numeric expression. The return value is in the range -Pi/2 to +Pi/2.

The arc tangent is the inverse of the tangent function. The Atn Function returns the angle "Alpha", expressed in radians, using the tangent of this angle. The function can also return the angle "Alpha" by comparing the ratio of the length of the side that is opposite of the angle to the length of the side that is adjacent to the angle in a right-angled triangle.

Atn(side opposite the angle/side adjacent to angle) = Alpha

## Syntax:

    Atn (Number)

## Return value:

Double

## Parameters:

Number: A numeric expression that represents the ratio of the length of the opposite side to that of the adjacent side of a right-angled triangle. The Atn function returns the corresponding angle in radians (arc tangent).

To convert radians to degrees, multiply radians by 180/Pi. To convert degrees to radians, multiply degrees by Pi/180.

degree=(radian*180)/Pi

radian=(degree*Pi)/180

Pi is here the fixed circle constant with the rounded value 3.1415926...

## Error codes:

5 Invalid procedure call

## Example:

    ' The following example calculates for a right-angled triangle

    ' the angle Alpha from the tangent of the angle Alpha:

    Sub ExampleAtn

    ' rounded Pi = 3.1415926... is a predefined constant

    Dim d1 As Double

    Dim d2 As Double

        d1 = InputBox("Enter the length of the side adjacent to the angle: ","Adjacent")

        d2 = InputBox("Enter the length of the side opposite the angle: ","Opposite")

        Print "The Alpha angle is"; (atn (d2/d1) * 180 / Pi); " degrees"

    End Sub